# miaohang-ui

> 面向 B 端产品快速开发所需的开源前端 UI 组件库 喵~由太行云梯公司资助
>
> **该项目尚处于开发起步阶段，感谢支持**
>
> The open source front-end UI component library required for the rapid development of B-end products.
>
> **This project is still in the initial stage of development, thanks for your support**

## 引入 miaohang

我们先介绍如何引入完整的 miaohang。

**完整引入**

在 main.js 中写入以下内容：

```javascript
import Vue from "vue";
import miaohang from "miaohang-ui";
import App from "./App.vue";

Vue.use(miaohang);

new Vue({
  el: "#app",
  render: (h) => h(App),
});
```

以上代码便完成了 miaohang 的引入。

## 组件

### Button 按钮

基础用法：

```vue
	<Mhbutton>默认按钮</Mhbutton>
    <Mhbutton type="primary">主要按钮</Mhbutton>
    <Mhbutton type="success">成功按钮</Mhbutton>
    <Mhbutton type="info">信息按钮</Mhbutton>
    <Mhbutton type="warning">警告按钮</Mhbutton>
    <Mhbutton type="danger">危险按钮</Mhbutton>
```

| 参数     | 说明         | 类型    | 可选值                                             | 默认值 |
| -------- | ------------ | ------- | -------------------------------------------------- | ------ |
| type     | 类型         | string  | primary / success / warning / danger / info / text | ——     |
| disabled | 是否禁用状态 | boolean | ——                                                 | false  |

### Icon 图标

基础用法：

```vue
<i class="mh-icon-edit"></i>
<i class="mh-icon-share"></i>
<i class="mh-icon-delete"></i>
```

